#!/bin/sh
#20130720 internationalized (vicmz)

export TEXTDOMAIN=pupclockset
export OUTPUT_CHARSET=UTF-8

if [ ! "`pwd`" = "/" ]; then ## Woof build

	[ "`cat ./root/.icewm/preferences | grep PupClockset`" = "" ] && cat ./root/.icewm/preferences | sed 's/^.*ClockCommand=.*$/ClockCommand="PupClockset"/' > tmpfile ; mv -f tmpfile ./root/.icewm/preferences
	[ "`cat ./root/.jwmrc-tray | grep PupClockset`" = "" ] && cat ./root/.jwmrc-tray | sed 's/^.*Clock.*$/			<Clock format="%a %d %b %l:%M %p">exec:minixcal<\/Clock>/' > tmpfile ; mv -f tmpfile ./root/.jwmrc-tray
	[ "`cat ./root/.config/fbpanel/default | grep dclock`" != "" ] && sed 's/dclock/tclock/' ./root/.config/fbpanel/default > /tmp/tmpfile ; mv -f /tmp/tmpfile ./root/.config/fbpanel/default
	[ "`cat ./usr/sbin/pfbpanel | grep dclock`" != "" ] && sed 's/dclock/tclock/' /usr/sbin/pfbpanel > /tmp/tmpfile ; chmod 755 /tmp/tmpfile ; mv -f /tmp/tmpfile ./usr/sbin/pfbpanel
	[ "`cat ./usr/sbin/pfbpanel | grep PupClockset`" = "" ] && sed '/if/s/^.*grep CLOCK12.*$/ if [ -f \/usr\/local\/PupClockset\/PupClockset ]; then\n  echo "`cat \/usr\/local\/PupClockset\/fbpanelClockFmt`" >> $DEFAULT\n  elif [ "`cat $CONFIG | grep CLOCK12 | cut -f 2 -d '='`" = true ]; then/' ./usr/sbin/pfbpanel > /tmp/tmpfile ; chmod 755 /tmp/tmpfile ; mv -f /tmp/tmpfile ./usr/sbin/pfbpanel
	[ "`cat ./usr/sbin/pfbpanel | grep "Action = PupClockset"`" = "" ] && sed '/Action =/s/^.*grep CLOCKPROG.*$/ if [ -f \/usr\/local\/PupClockset\/PupClockset ]; then\n  echo "Action = PupClockset \&" >> $DEFAULT\n  else\n  echo Action = `cat $CONFIG | grep CLOCKPROG | cut -f 2 -d '='` \& >> $DEFAULT\n  fi/' ./usr/sbin/pfbpanel > /tmp/tmpfile ; chmod 755 /tmp/tmpfile ; mv -f /tmp/tmpfile ./usr/sbin/pfbpanel

else ##Conventional PET install

	if [ "`cat $HOME/.icewm/preferences`" ]; then
	[ ! -f $HOME/.icewm/preferences-bak ] && cp $HOME/.icewm/preferences $HOME/.icewm/preferences-bak
	fi

	if [ "`cat $HOME/.jwmrc-tray`" ]; then
	[ ! -f $HOME/.jwmrc-tray-bak ] && cp $HOME/.jwmrc-tray $HOME/.jwmrc-tray-bak
	fi

	if [ "`cat $HOME/.config/fbpanel/default`" ]; then
	[ ! -f $HOME/.config/fbpanel/default-bak ] && cp $HOME/.config/fbpanel/default $HOME/.config/fbpanel/default-bak
	fi

	if [ "`cat /usr/sbin/pfbpanel`" ]; then
	[ ! -f /usr/sbin/pfbpanel-bak ] && cp /usr/sbin/pfbpanel /usr/sbin/pfbpanel-bak
	fi

	[ "`cat $HOME/.icewm/preferences | grep PupClockset`" = "" ] && cat $HOME/.icewm/preferences | sed 's/^.*ClockCommand=.*$/ClockCommand="PupClockset"/' > tmpfile && mv -f tmpfile $HOME/.icewm/preferences
	[ "`pidof icewm`" ] && killall -HUP icewm

	[ "`cat $HOME/.jwmrc-tray | grep PupClockset`" = "" ] && cat $HOME/.jwmrc-tray | sed 's/^.*Clock.*$/			<Clock format="%l:%M %p">PupClockset<\/Clock>/' > tmpfile && mv -f tmpfile $HOME/.jwmrc-tray
	[ "`pidof jwm`" ] && jwm -restart

	[ "`cat $HOME/.config/fbpanel/default | grep dclock`" != "" ] && sed 's/dclock/tclock/' $HOME/.config/fbpanel/default > /tmp/tmpfile ; mv -f /tmp/tmpfile $HOME/.config/fbpanel/default
	[ "`cat /usr/sbin/pfbpanel | grep dclock`" != "" ] && sed 's/dclock/tclock/' /usr/sbin/pfbpanel > /tmp/tmpfile ; chmod 755 /tmp/tmpfile ; mv -f /tmp/tmpfile /usr/sbin/pfbpanel
	[ "`cat /usr/sbin/pfbpanel | grep PupClockset`" = "" ] && sed '/if/s/^.*grep CLOCK12.*$/ if [ -f \/usr\/local\/PupClockset\/PupClockset ]; then\n  echo "`cat \/usr\/local\/PupClockset\/fbpanelClockFmt`" >> $DEFAULT\n  elif [ "`cat $CONFIG | grep CLOCK12 | cut -f 2 -d '='`" = true ]; then/' /usr/sbin/pfbpanel > /tmp/tmpfile ; chmod 755 /tmp/tmpfile ; mv -f /tmp/tmpfile /usr/sbin/pfbpanel
	[ "`cat /usr/sbin/pfbpanel | grep "Action = PupClockset"`" = "" ] && sed '/Action =/s/^.*grep CLOCKPROG.*$/ if [ -f \/usr\/local\/PupClockset\/PupClockset ]; then\n  echo "Action = PupClockset \&" >> $DEFAULT\n  else\n  echo Action = `cat $CONFIG | grep CLOCKPROG | cut -f 2 -d '='` \& >> $DEFAULT\n  fi/' /usr/sbin/pfbpanel > /tmp/tmpfile ; chmod 755 /tmp/tmpfile ; mv -f /tmp/tmpfile /usr/sbin/pfbpanel
	[ "`pidof fbpanel`" ] && /usr/sbin/pfbpanel refresh

	# pinstall message
#	Xdialog --title Alert --beep --msgbox " All PupClockset files are installed. " 0x0+200+100 && exit 0

fi
#END
